String.prototype.Format = function(){
	var tmpStr = this;
	var iLen = arguments.length;
	for(var i=0;i<iLen;i++){
		tmpStr = tmpStr.replace(new RegExp("\\{" + i + "\\}", "g"), arguments[i]);
	}
	return tmpStr;
}
 Calendar = {
          today:new Date(), 
          year:2005, 
          month:8, 
          date:21, 
          curPosX:0, 
          curPosY:0, 
          curCapture:null, 
          curDay:null, 
          display:function (o, e, d) {
	      with (Calendar) {
		o = typeof (o) == "object" ? o : document.getElementById(o);
		if (window.event) {
			curPosX = document.body.scrollLeft + event.x;
			curPosY = document.body.scrollTop + event.y;
		} else {
			curPosX = e.pageX;
			curPosY = e.pageY;
		}
		if (o.value == "" && d) {
			o.value = d;
		}
		with (document.getElementById("Calendar__")) {
			if (o != curCapture) {
				curCapture = o;
				if (style.display == "block") {
					style.left = curPosX + "px";
					style.top = curPosY + "px";
				} else {
					load();
				}
			} else {
				if (style.display == "block") {
					style.display = "none";
				} else {
					load();
				}
			}
		}
	}
}, load:function () {
	with (Calendar) {
		curDay = loadDate(curCapture.value);
		with (curDay) {
			year = getFullYear();
			month = getMonth() + 1;
			date = getDate();
		}
		init();
	}
}, init:function () {
	with (Calendar) {
		with (new Date(year, month - 1, date)) {
			year = getFullYear();
			month = getMonth() + 1;
			date = getDate();
			setDate(1);
			var first = getDay();
			setMonth(getMonth() + 1, 0);
			paint(first, getDate());
		}
	}
}, paint:function (first, last) {
	var calendar = document.getElementById("Calendar__");
	var grid = document.getElementById("dataGrid__");
	var i, l;
	l = Math.ceil((first + last) / 7);
	if (!document.all) {
		calendar.style.height = (41 + 19 * Math.ceil((first + last) / 7)) + "px";
	}
	grid.innerHTML = new Array(l * 7 + 1).join("<li><a></a></li>");
	with (Calendar) {
		var strDate = "{0}-{1}".Format(year, month);
		var isTodayMonth = ((year == today.getFullYear()) && (month == today.getMonth() + 1));
		var isCurdayMonth = ((year == curDay.getFullYear()) && (month == curDay.getMonth() + 1));
		var todayDate = today.getDate();
		for (i = 0; i < last; i++) {
			grid.childNodes[first + i].innerHTML = "<a href=\"{2}-{1}\"{0} onclick=\"Calendar.setValue({1});return false\">{1}</a>".Format(((i + 1) == todayDate && isTodayMonth) ? " class=\"today\"" : isCurdayMonth && (i + 1) == curDay.getDate() ? " class=\"curDay\"" : "", i + 1, strDate);
		}
		document.getElementById("dateText__").innerHTML = "<a href=\"" + (year - 1) + "\u5e74\" onclick=\"Calendar.turn(-12);return false\" title=\"\u4e0a\u4e00\u5e74\">&lt;&lt;</a>&nbsp;<a href=\"\u4e0a\u4e00\u6708\" onclick=\"Calendar.turn(-1);return false\" title=\"\u4e0a\u4e00\u6708\">&lt;</a>&nbsp;" + year + " - " + month + "&nbsp;<a href=\"\u4e0b\u4e00\u6708\" onclick=\"Calendar.turn(1);return false\" title=\"\u4e0b\u4e00\u6708\">&gt;</a>&nbsp;<a href=\"" + (year + 1) + "\u5e74\" onclick=\"Calendar.turn(12);return false\" title=\"\u4e0b\u4e00\u5e74\">&gt;&gt;</a>";
		with (calendar) {
			style.left = Calendar.curPosX + "px";
			style.top = Calendar.curPosY + "px";
			style.display = "block";
		}
	}
}, turn:function (num) {
	Calendar.month += num;
	Calendar.date = 1;
	Calendar.init();
}, setValue:function (val) {
	with (Calendar) {
		curCapture.value = "{0}-{1}-{2}".Format(year, month, val);
		document.getElementById("Calendar__").style.display = "none";
	}
}, loadDate:function (op, formatString) {
	formatString = formatString || "ymd";
	var m, year, month, day;
	switch (formatString) {
	  case "ymd":
		m = op.match(new RegExp("^((\\d{4})|(\\d{2}))([-./])(\\d{1,2})\\4(\\d{1,2})$"));
		if (m == null) {
			return new Date();
		}
		day = m[6];
		month = m[5] * 1;
		year = (m[2].length == 4) ? m[2] : GetFullYear(parseInt(m[3], 10));
		break;
	  case "dmy":
		m = op.match(new RegExp("^(\\d{1,2})([-./])(\\d{1,2})\\2((\\d{4})|(\\d{2}))$"));
		if (m == null) {
			return new Date();
		}
		day = m[1];
		month = m[3] * 1;
		year = (m[5].length == 4) ? m[5] : GetFullYear(parseInt(m[6], 10));
		break;
	  default:
		break;
	}
	if (!parseInt(month)) {
		return new Date();
	}
	month = month == 0 ? 12 : month;
	var date = new Date(year, month - 1, day);
	return (typeof (date) == "object" && year == date.getFullYear() && month == (date.getMonth() + 1) && day == date.getDate()) ? date : new Date();
	function GetFullYear(y) {
		return ((y < 30 ? "20" : "19") + y) | 0;
	}
}, toString:function () {
	return ["Calendar v1.0", "author:\u6211\u4f5b\u5c71\u4eba", "email:wfsr@msn.com", "version:1.0"].join("\n");
}};

