
var updatetodoItemsIntervalID = 0;
var req;
function updateTodoList() {
	var ajaxRequest = new AjaxRequest("UpdateTodoList");
	ajaxRequest.sendRequest();
}
function startUpdatetodoItemsInterval() {
	updatetodoItemsIntervalID = window.setInterval("updateTodoList()", 30000);
	if (document.getElementById("trackFlag").checked == false) {
		document.getElementById("trackFlag").checked = true;
	}
}
function clearUpdatetodoItemsInterval() {
	if (updatetodoItemsIntervalID != 0) {
		window.clearInterval(updatetodoItemsIntervalID);
	}
	document.getElementById("trackFlag").checked = false;
}
function edit(id) {
	clearUpdatetodoItemsInterval();
	var root = document.getElementById(id);
	var elements = root.getElementsByTagName("td");
	var name = elements[1].firstChild.nodeValue;
	var description = elements[2].firstChild.nodeValue;
	var statusId = elements[3].firstChild.nodeValue;
	var createby = elements[4].firstChild.nodeValue;
	var createtime = elements[5].firstChild.nodeValue;
	var queryStr = "id=" + id + "&" + "name=" + name + "&" + "description=" + description + "&" + "statusId=" + statusId + "&" + "createby=" + createby + "&" + "createtime=" + createtime;
	var ajaxRequest = new AjaxRequest("todo/editTodoItem.jsp");
	ajaxRequest.setQueryString(queryStr);
	ajaxRequest.sendRequest();
}
function handleTrackFlagClick() {
	var trackFlag = document.getElementById("trackFlag");
	if (trackFlag.checked) {
		updateTodoList();
		startUpdatetodoItemsInterval();
	} else {
		clearUpdatetodoItemsInterval();
	}
}
function add() {
	clearUpdatetodoItemsInterval();
	var ajaxRequest = new AjaxRequest("todo/addTodoItem.jsp");
	ajaxRequest.sendRequest();
}
function insert(obj) {
	var root = obj.parentNode.parentNode.parentNode;
	var elements = root.getElementsByTagName("input");
	var name = elements[1].value;
	var description = elements[2].value;
	var statusId = elements[3].value;
	var createby = elements[4].value;
	var createtime = elements[5].value;
	var queryStr = "name=" + name + "&" + "description=" + description + "&" + "statusId=" + statusId + "&" + "createby=" + createby + "&" + "createtime=" + createtime;
	var url = "insertDeploy?" + queryStr;
	req = createXMLHttpRequest();
	if (req) {
		req.open("GET", url, true);
		req.onreadystatechange = function(){showUpdateStatus("check_insert")};
		req.send(null);
	}
}
function update(id) {
	var root = document.getElementById(id);
	var elements = root.getElementsByTagName("input");
	var name = elements[1].value;
	var description = elements[2].value;
	var statusId = elements[3].value;
	var createby = elements[4].value;
	var createtime = elements[5].value;
	var queryStr = "id=" + id + "&" + "name=" + name + "&" + "description=" + description + "&" + "statusId=" + statusId + "&" + "createby=" + createby + "&" + "createtime=" + createtime;
	var url = "updateDeploy?" + queryStr;
	req = createXMLHttpRequest();
	if (req) {
		req.open("GET", url, true);
		req.onreadystatechange = function(){showUpdateStatus("check_update")};
		req.send(null);
	}
}
function showUpdateStatus(id) {
	if (req.readyState == 4) {
		if (req.status == 200) {
			parseResonseInfo(id);

                 // update the HTML DOM based on whether or not message is valid
		} else {
			alert("Not able to retrieve description" + req.statusText);
		}
	} else {
		document.getElementById(id).innerHTML = "\u6b63\u5728\u63d2\u5165\u6570\u636e....";
	}
}
function parseResonseInfo(id) {
	var xmlDoc = req.responseXML.documentElement;
	var node = xmlDoc.getElementsByTagName("info");
	document.getElementById(id).innerHTML = node[0].firstChild.nodeValue;
	updateTodoList();
	startUpdatetodoItemsInterval();
}

