package com.wonders.servlet;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.wonders.dao.UserinfoDAO;
public class PreCheck extends HttpServlet {
       private UserinfoDAO userDAO=null;
	/**
	 * Constructor of the object.
	 */
	public PreCheck() {
		super();
	}

	/**
	 * Destruction of the servlet. <br>
	 */
	public void destroy() {
		super.destroy(); // Just puts "destroy" string in log
		// Put your code here
		userDAO=null;
	}

	/**
	 * The doGet method of the servlet. <br>
	 *
	 * This method is called when a form has its tag value method equals to get.
	 * 
	 * @param request the request send by the client to the server
	 * @param response the response send by the server to the client
	 * @throws ServletException if an error occurred
	 * @throws IOException if an error occurred
	 */
	public void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		response.setContentType("text/xml;charset=UTF-8");

	    response.setHeader("Cache-Control", "no-cache");	 

		String username = (String) request.getParameter("user_name");
		
		String xml = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";

		if (username.equals("") || username == null) {
			
			xml +="<message><info>Username is required !</info></message>";
		}else if(this.isContain(username))
		{
			xml += "<message><info>The username existes,go on!</info></message>";
		}
		else
		{
			xml += "<message><info>username doesn't exist</info></message>";
		}
		
		response.getWriter().write(xml);
	}

	/**
	 * The doPost method of the servlet. <br>
	 *
	 * This method is called when a form has its tag value method equals to post.
	 * 
	 * @param request the request send by the client to the server
	 * @param response the response send by the server to the client
	 * @throws ServletException if an error occurred
	 * @throws IOException if an error occurred
	 */
	public void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		doGet(request,response);
	}

	/**
	 * Initialization of the servlet. <br>
	 *
	 * @throws ServletException if an error occure
	 */
	public void init() throws ServletException {
		// Put your code here
		userDAO=new UserinfoDAO();
	}
   public boolean isContain(String username){
	   
	   if (userDAO.findByProperty(userDAO.NAME, username).isEmpty()){
		   return false;
	   }
	   else{
		   return true;
	   }
	   
   }
	}
