package com.wonders.tag;

import java.io.IOException;
import java.util.Iterator;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hibernate.Session;
import org.hibernate.Transaction;

import com.wonders.dao.HibernateSessionFactory;

public class WondersSelectTag extends TagSupport {
	private String table;
	private String id;
	private String name;
	private String column;
	private Session session=HibernateSessionFactory.getSession();
	private Log log=LogFactory.getLog(WondersSelectTag.class);
	

	@Override
	public int doStartTag() throws JspException {
		String sql="select "+column+" from "+table;
		String out="<select id='"+id+"' name='"+name+"'>";
		Transaction t=session.beginTransaction();
		Iterator it=session.createQuery(sql).iterate();
		if(it!=null){
		while(it.hasNext()){
			out+="<option>"+it.next()+"</opeion>";
		}
		}
		else{
			out+="<option>没有数据</opeion>";
		}
		out+="</select>";
		try{
			pageContext.getOut().write(out);
		}
		catch(IOException e){
			log.debug("输出出错",e);
		}
		return TagSupport.SKIP_BODY;
	}

	public String getId() {
		return id;
	}


	public void setId(String id) {
		this.id = id;
	}


	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}


	public String getColumn() {
		return column;
	}


	public void setColumn(String column) {
		this.column = column;
	}


	public String getTable() {
		return table;
	}


	public void setTable(String table) {
		this.table = table;
	}
	
  
}
